Bug 207380 - Filtering test cases by tag does not work
Filtering test cases by tag does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat QA Process
Classification: Red Hat
Component: Testify (Show other bugs)
1.0
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: James Laska
James Laska
http://testify.test.redhat.com/testpl...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 17:26 EDT by Nate Straz
Modified: 2013-09-02 02:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.8.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 12:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2006-09-20 17:26:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.7) Gecko/20060911 Red Hat/1.5.0.7-0.1.el4 Firefox/1.5.0.7 pango-text

Description of problem:
When adding test cases to a test plan, the filtering doesn't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Try to filter test cases by tag when adding or removing test cases to/from a test plan.


Actual Results:
The full list of test cases is shown.

Expected Results:
The test case list should be filtered like it is on the "Test Cases" view.
http://testify.test.redhat.com/testcases.cgi?op=testCaseFilter&title=&ownerField=owner&owner=&owner_type=login&tags=gfs&type=&priority=&target=&rangeField=&rangeFrom=&rangeTo=&sort=modifiedOn&order=desc&limit=20&query=Filter

Additional info:
Comment 1 James Laska 2006-09-21 09:48:01 EDT
Good catch Nate.  I just put in some code into CVS that resolves this in my
development instance.  This code will be pushed live "Real soon now".

http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/testify/testplans.cgi.diff?r1=1.25;r2=1.26;cvsroot=RH-QA

I'm going to put the bug into "RELEASE_PENDING" and move it to CLOSED when I
push live
Comment 2 James Laska 2006-09-28 12:16:27 EDT
testify-0.8.8 pushed live ... closing bug.

Note You need to log in before you can comment on or make changes to this bug.